// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "ui/container/UIContainer.hpp"

namespace Dawn {
  class UIColumnContainer final : public UIContainer {
    public:
      void updateAlignment(
        const glm::vec2 parentPosition,
        const glm::vec2 parentSize,
        const float_t canvasScale
      ) override;
  };
}