// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "ui/container/UIContainer.hpp"

namespace Dawn {
  class UIPaddingContainer final : public UIContainer {
    public:
      glm::vec4 padding = { 0, 0, 0, 0 };

      float_t getContentWidth() override;
      float_t getContentHeight() override;
      void updateAlignment(
        const glm::vec2 parentPosition,
        const glm::vec2 parentSize,
        const float_t canvasScale
      ) override;
  };
}